<div class="task_container pb-10">
  <div class="top-button">
    <button mat-raised-button class="newtaskbutton btn-sm mt-2"  (click)="openDialog()">Create Task</button>
  </div>
  <table mat-table [dataSource]="taskList" class="mat-elevation-z8">
    <ng-container *ngFor="let col of columns" [matColumnDef]="col.column">
      <th mat-header-cell *matHeaderCellDef> {{col.header}} </th>
      <td mat-cell *matCellDef="let element"> {{element[col.column]}} </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
  </table>
</div>
